use strict;
use warnings;
use Test::More;

use_ok("ConsumptionTax::JP");

my $consumption_jp
    = new ConsumptionTax::JP->new({
        consumption_tax_rate => 0.05,
    });

subtest "メソッド実装チェック" => sub {
    #tax_includeという関数を実装しているか
    can_ok($consumption_jp, 'tax_include');
};

subtest "tax_includeの動作チェック" => sub {
    my $price = 100;
    my $price_in_tax
        = $consumption_jp->tax_include($price);
    # 期待値と一致しているか
    is $price_in_tax, 105, 'match expected';
};

done_testing;
