use strict;
use warnings;
use Test::More;
use Test::Memcached;
use Cache::Memcached;

my $memd = Test::Memcached->new(
    options => { user => 'nobody' }
);
$memd->start;
my $port = $memd->option('tcp_port');

my $client = Cache::Memcached->new({
        servers => [ "127.0.0.1:$port" ]
    });

subtest "memcached を使うテスト" => sub {
    $client->set('key' => 'value');
    is $client->get('key'), 'value', 'value is ok';
};

$memd->stop; 

done_testing;
